<?php
/*
# Fuer debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);
#echo __LINE__."<br>";
*/

session_start();
include_once 'classes/TestProjektSmarty.class.php';
require_once("config.inc.php");
$templatename = substr(basename($_SERVER['PHP_SELF']), 0, -3) . "html";
$smarty       = new Smarty();

require_once "language/german.inc.php";
require_once("func_rollenrechte.php");

# Wenn Seite neu aufgerufen wird, dann alle Sessions, die mit "erfassen_" beginnen löschen, damit man eine Doppelspeicherung verhindert
if (isset($_GET['new']) AND $_GET['new'] == 1) {
  $search_prefix = 'anrede_';
  $search_len    = strlen($search_prefix);
  foreach ($_SESSION as $key => $value) {
    if (substr($key, 0, $search_len) == $search_prefix) {
      unset($_SESSION[$key]);
    }
  }
}

// Rechteüberprüfung
  if (!rore($uid, '4', 'RE')) {echo "Keine Rechte";exit;}
// Rechteüberprüfung ende

if (isset($_GET['action'])) {
  $action = $_GET['action'];
} else {
  $action = '';
}

if ($action == '') {
  
  if ($_GET['error'] == 1) {
    $smarty->assign('anrede_pflichtfelder', "1");
    $smarty->assign('anrede_error_text', "Es ist zu einem Fehler gekommen. Bitte w&auml;hlen Sie einen Eintrag aus der Liste aus.");
  }
  
  
  $query = "SELECT arid, bezeichnung
              FROM dep_kat_anrede
             ORDER BY bezeichnung ASC
           ";
  
  $result = $db->query($query);
  while ($row = $result->fetch_array()) {
    $value1[] = $row;
  }
  $smarty->assign('table_data', $value1);
}

if ($action == 'edit') {
  
  if (isset($_POST['anrede'])) {
    $_SESSION["anrede_arid"] = $_POST['anrede'];
  } else {
    if (!isset($_SESSION["anrede_arid"])) {
      $_SESSION["anrede_arid"] = "";
    }
  }
  
  if ($_SESSION["anrede_arid"] == "") {
    $fehler = 1;
    echo "<meta http-equiv=\"refresh\" content=\"0; URL=" . $_SERVER['PHP_SELF'] . "?error=$fehler\">";
  } else {
    
    $arid = $_SESSION["anrede_arid"];
    
    if ($arid != 'new') {
      # Gespeicherten Wert auslesen
      $query_bez = $db->query("SELECT bezeichnung
                                 FROM dep_kat_anrede
                                WHERE arid='$arid'");
      $row_bez   = $query_bez->fetch_array();
      $smarty->assign('anrede_sav_value', $row_bez['bezeichnung']);
      $smarty->assign('anrede_new', 0);
      
    } else {
      $smarty->assign('anrede_new', 1);
    } 
  }
}

if ($action == 'save') {
  $arid        = $_SESSION["anrede_arid"];
  $bezeichnung = trim($_POST['anrede_bez']);
  
  if ($arid == 'new' AND $bezeichnung != '') {
    #insert
    $sql = $db->query("INSERT INTO dep_kat_anrede (bezeichnung) 
                           VALUES
                           ('$bezeichnung')
                         ");
  }
  
  if ($arid != 'new' AND $bezeichnung != '') {
    #update
    $sql = $db->query("UPDATE dep_kat_anrede
                            SET bezeichnung = '$bezeichnung'
                          WHERE arid = $arid
                         ");
  }
  echo "<meta http-equiv=\"refresh\" content=\"0; URL=" . $_SERVER['PHP_SELF'] . "?new=1\">";
}

if ($action == 'del') {
    $arid = $_SESSION["anrede_arid"];
    
    # Beziehung löschen
    $sql = $db->query("UPDATE dep_user
                         SET arid = 0
                       WHERE arid = $arid
                      ");
    
    $sql = $db->query("DELETE FROM dep_kat_anrede
                       WHERE arid = $arid
                      ");
    echo "<meta http-equiv=\"refresh\" content=\"0; URL=" . $_SERVER['PHP_SELF'] . "?new=1\">";
}


$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>
